MIN(3G)

NAME
min - return the lesser of two values

DECLARATION

genType min(genType x, genType y);

genType min(genType x, float y);

genDType min(genDType x, genDType y);

genDType min(genDType x, double y);

genIType min(genIType x, genIType y);

genIType min(genIType x, int y);

genUType min(genUType x, genUType y);

genUType min(genUType x, uint y);

PARAMETERS

x
    Specify the first value to compare.

y
    Specify the second value to compare.

DESCRIPTION

min returns the minimum of the two parameters. It returns y if y is less than x, otherwise it returns x.

VERSION SUPPORT
 | OpenGL Shading Language Version
Function Name | 1.10 | 1.20 | 1.30 | 1.40 | 1.50 | 3.30 | 4.00 | 4.10 | 4.20 | 4.30 | 4.40 | 4.50
min (genType) | ✔ | ✔ | ✔ | ✔ | ✔ | ✔ | ✔ | ✔ | ✔ | ✔ | ✔ | ✔
min (genIType) | - | - | ✔ | ✔ | ✔ | ✔ | ✔ | ✔ | ✔ | ✔ | ✔ | ✔
min (genUType) | - | - | ✔ | ✔ | ✔ | ✔ | ✔ | ✔ | ✔ | ✔ | ✔ | ✔
min (genDType) | - | - | - | - | - | - | ✔ | ✔ | ✔ | ✔ | ✔ | ✔

SEE ALSO

max(), abs()

COPYRIGHT

Copyright © 2011-2014 Khronos Group. This material may be distributed subject to the terms and conditions set forth in the Open Publication License, v 1.0, 8 June 1999. http://opencontent.org/openpub/.

COPYRIGHT
Copyright © 2011-2014 Khronos Group